#ifndef LOGTHREAD_H
#define LOGTHREAD_H

#include <QThread>
#include <QStringList>
#include <QDate>
#include <QDir>
#include <QFile>

class logThread : public QThread
{
    Q_OBJECT
public:
    explicit logThread(QObject *parent = nullptr);
    void appendData(QString data);
    void appendWrongData(QString data);
    void run();
    void stop();
signals:

public slots:
private:
    QFile *file,*wfile;
    QStringList dataList;
    QStringList wrongList;
    int day;
    bool keep;
};
#endif // LOGTHREAD_H
